### Virtual Method

# Foundry Debugger can_move

deprecated: 1.1

#### Declaration [src]

    gboolean
    can_move (
      FoundryDebugger* self,
      FoundryDebuggerMovement movement
    )

#### Description [src]

Determines of the debugger can currently make `movement`.

Use `foundry_debugger_thread_can_move()` in new code.

Deprecated since: 1.1

Please do not use it in newly written code.

#### Parameters

`movement`

  Type: `FoundryDebuggerMovement`

  No description available.

#### Return value

Type: `gboolean`

`TRUE` if `movement` can be performed.